/***************************************************************************
 *   Copyright (C) 2007 by Arnold Kraschinski                              *
 *   arnold.kra67@gmx.de                                                   *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/


#ifndef TENSESSELECTION_H
#define TENSESSELECTION_H

#include "ui_tensesselection.h"

class KConfigDialog;

/**
 * TensesSelection is part of the kverbos configuration dialogue.
 * The user can select the Spanish tenses he wants to train.
 *
 * @short the user can select tenses for the training
 * @author Kraschinski Arnold <arnold.kra67@gmx.de>
 * @version 2.00.00
 */
class TensesSelection : public QWidget, Ui::TensesSelection
{
Q_OBJECT
    public:
        explicit TensesSelection(QWidget *parent);
        ~TensesSelection();

    public slots:

    private slots:

    private:

    KConfigDialog *m_parent;
};

#endif

